Last Comment Bug 1288827 - Improve mach command for running mochitest from a tests.zip
: Improve mach command for running mochitest from a tests.zip
Status: RESOLVED FIXED
:
Product: Testing
Classification: Components
Component: Mochitest (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: mozilla50
Assigned To: Andrew Halberstadt [:ahal]
:
:
Mentors:
Depends on: 1292660
Blocks: 1262605
  Show dependency treegraph
 
Reported: 2016-07-22 13:28 PDT by Andrew Halberstadt [:ahal]
Modified: 2016-08-05 12:59 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1288827 - Allow running mochitest from test-package without specifying --appname, (58 bytes, text/x-review-board-request)
2016-07-26 10:50 PDT, Andrew Halberstadt [:ahal]
armenzg: review+
Details | Review

Description User image Andrew Halberstadt [:ahal] 2016-07-22 13:28:58 PDT
Currently mochitest requires --appname to be passed in, though recently some code landed to find appname automagically. It also doesn't properly normalize test paths if developers use an unexpected relative url.
Comment 1 User image Andrew Halberstadt [:ahal] 2016-07-26 10:50:45 PDT
Created attachment 8774825 [details]
Bug 1288827 - Allow running mochitest from test-package without specifying --appname,

Because it is now possible for options.app to get set after 'parse_args' time, we need to make sure
the argument validation happens later. To accomplish this we pass in the parser instance to
'run_test_harness' and do parser.validate there. This unfortunately requires some minor uses of
global to accomplish easily due to how mach handles parsers.

Review commit: https://reviewboard.mozilla.org/r/67226/diff/#index_header
See other reviews: https://reviewboard.mozilla.org/r/67226/
Comment 2 User image Armen Zambrano - Back on March 27th [:armenzg] (EDT/UTC-4) 2016-07-27 05:25:59 PDT
Comment on attachment 8774825 [details]
Bug 1288827 - Allow running mochitest from test-package without specifying --appname,

https://reviewboard.mozilla.org/r/67226/#review64450

You have to what you have to do!
It's fine to use a global.
Comment 3 User image Pulsebot 2016-07-28 07:17:42 PDT
Pushed by ahalberstadt@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/6dcb52d270c7
Allow running mochitest from test-package without specifying --appname, r=armenzg
Comment 4 User image Carsten Book [:Tomcat] 2016-07-28 08:06:26 PDT
sorry had to back this out for failures like https://treeherder.mozilla.org/logviewer.html#?job_id=1095224&repo=autoland
Comment 5 User image Pulsebot 2016-07-28 08:15:43 PDT
Backout by cbook@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/d6a7c3753a06
Backed out changeset 6dcb52d270c7 for breaking mochitests
Comment 6 User image Andrew Halberstadt [:ahal] 2016-07-28 08:58:17 PDT
Comment on attachment 8774825 [details]
Bug 1288827 - Allow running mochitest from test-package without specifying --appname,

Review request updated; see interdiff: https://reviewboard.mozilla.org/r/67226/diff/1-2/
Comment 7 User image Andrew Halberstadt [:ahal] 2016-07-28 09:01:02 PDT
Sorry about that, the above patch should fix it. I could have sworn I had those changes already but must have messed up a split or forgot to amend or something.

I'll wait for the try run there to complete before landing again.
Comment 8 User image Andrew Halberstadt [:ahal] 2016-07-29 04:42:14 PDT
Here's the try run from mozreview:
https://treeherder.mozilla.org/#/jobs?repo=try&revision=ba58516f6cc0e7c3eca952bb0e2603e53f51162d
Comment 9 User image Pulsebot 2016-07-29 04:46:06 PDT
Pushed by ahalberstadt@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/52f229a7749e
Allow running mochitest from test-package without specifying --appname, r=armenzg
Comment 10 User image Carsten Book [:Tomcat] 2016-07-31 08:46:03 PDT
https://hg.mozilla.org/mozilla-central/rev/52f229a7749e

Note You need to log in before you can comment on or make changes to this bug.